VIES
VIES
Deprecated: Use the Transaction Type endpoint instead.
VIES (VAT Information Exchange System) validation for EU tax numbers.
Check VIES status (deprecated)
POST
/vies/checkDeprecated: Use POST /transaction-type/check instead. This endpoint is kept for backward compatibility.
Request
Body parameters
import SpaceInvoices from '@spaceinvoices/js-sdk';
const sdk = new SpaceInvoices('YOUR_API_KEY');
const response = await sdk.vies.checkVies({
issuer: {
country_code: "SI",
is_tax_subject: true
},
customer: {
country_code: "DE",
tax_number: "DE123456789"
}
});
console.log(response);Response
Returns
transaction_typestringnullable
reverse_charge_appliesboolean
issuer_country_codestringnullable
customer_country_codestringnullable
vies_validbooleannullable
warningstringnullable
is_tax_subjectboolean
{
"transaction_type": "intra_eu_b2b",
"reverse_charge_applies": true,
"issuer_country_code": "SI",
"customer_country_code": "DE",
"vies_valid": true,
"warning": null,
"is_tax_subject": true
}